DataCombo (Control)

El control DataCombo es un cuadro combinado enlazado a datos que un campo de un origen de datos adjunto llena automáticamente. Opcionalmente, puede actualizar un campo de una tabla asociada de otro origen de datos.

Sintaxis

DataCombo

Comentarios

El control DataCombo es compatible en el ámbito del código con el control DBCombo. Sin embargo, el control DataCombo está optimizado para funcionar con objetos de datos ActiveX (ADO, ActiveX Data Objects).

Nota para la distribución El control DataCombo se incluye con el control DataList en el archivo Msdatlst.ocx. Para usar este control en su aplicación, debe agregar el archivo .OCX al proyecto. Cuando distribuya la aplicación, instale el archivo Msdatlst.ocx en el directorio System o System32 de Microsoft Windows del equipo del usuario. Para obtener más información acerca de cómo puede agregar un control ActiveX a un proyecto de Visual Basic, vea "Controles ActiveX estándar".


DataList (Control)

El control DataList es un cuadro de lista enlazado a datos que se llena automáticamente a partir de un campo de un origen de datos adjunto. Opcionalmente, puede actualizar un campo de una tabla asociada de otro origen de datos.

Sintaxis

DataList

Comentarios

El control DataList es compatible en el ámbito del código con el control DBList. Sin embargo, el control DataList está optimizado para funcionar con objetos de datos ActiveX (ADO, ActiveX Data Objects).

Nota para la distribución El control DataList se incluye con el control DataCombo en el archivo Msdatlst.ocx. Para usar este control en su aplicación, debe agregar el archivo .OCX al proyecto. Cuando distribuya la aplicación, instale el archivo Msdatlst.ocx en el directorio System o System32 de Microsoft Windows del equipo del usuario. Para obtener más información acerca de cómo puede agregar un control ActiveX a un proyecto de Visual Basic, vea "Controles ActiveX estándar".


No se encuentra el tema

No se halló el tema correspondiente. A continuación enumeramos algunas posibles razones y sus soluciones:

  • El archivo (.chm) que contiene el tema de destino no se encuentra en la ubicación esperada.

    Solución: vuelva a ejecutar la instalación de la Biblioteca MSDN.

  • El archivo (.chm) que contiene el tema actual o el de destino no está actualizado y el vínculo ya no es válido.

    Solución: instale la última versión de la Biblioteca MSDN.

  • El CD de la Biblioteca MSDN no está en la unidad de CD-ROM.

    Solución: inserte el CD en la unidad.


ReFill (Método)

Vuelve a crear la lista de un control DataList o DBCombo y fuerza la actualización de su presentación.

Sintaxis

objeto.ReFill

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.

Comentarios

El método ReFill es diferente del método Refresh estándar, que sólo provoca un evento Repaint.


DBCombo (Control)

El control DBCombo es un cuadro combinado enlazado a datos con una lista desplegable que se llena automáticamente a partir de un campo de un control Data asociado y que, opcionalmente, actualiza un campo de una tabla relacionada de otro control Data. La parte de cuadro de texto de DBCombo puede usarse para modificar el campo seleccionado.

Sintaxis

DBCombo

Comentarios

El control DBCombo es diferente del control ComboBox estándar. Mientras que la lista del control ComboBox se llena mediante el método AddItem, el control DBCombo se llena automáticamente con datos procedentes de un campo del objeto Recordset de un control Data al que está asociado. El control ComboBox estándar debe llenarse manualmente mediante el método AddItem. Además, el control DBCombo tiene la posibilidad de actualizar un campo dentro de un objeto Recordset relacionado que puede residir en un control Data diferente.

El control DBCombo también acepta un modo de búsqueda automática que puede encontrar rápidamente los elementos de la lista sin necesidad de escribir código adicional.

A continuación se muestra la lista de las propiedades que se utilizan para llenar y administrar el control DBCombo, y enlazar los datos seleccionados a un control Data.

Propiedad | Especifica
DataSource | El nombre del control Data que se actualiza cuando se hace una selección.
DataField | El nombre de un campo que se actualiza en el Recordset especificado por la propiedad DataSource.
RowSource | El nombre del control Data que se utiliza como origen de los elementos para la parte de lista del control.
ListField | El nombre de un campo del Recordset especificado por RowSource que se utiliza para llenar la lista desplegable. DBCombo no acepta campos de tipo LongBinary en la propiedad ListField.
BoundColumn | El nombre de un Field del Recordset especificado por RowSource que se devuelve a la propiedad DataField cuando se hace una selección. DBCombo no acepta campos de tipo LongBinary en la propiedad BoundColumn.
BoundText | El valor de texto del campo BoundColumn. Cuando se realiza una selección, se devuelve este valor para actualizar el objeto Recordset especificado por las propiedades DataSource y DataField.
Text | El valor de texto del elemento seleccionado en la lista.
MatchEntry | El método de búsqueda en la lista cuando el usuario escribe caracteres en tiempo de ejecución.
SelectedItem | El marcador del elemento seleccionado del Recordset especificado por la propiedad RowSource.
VisibleCount | El número de elementos visibles de la lista (total o parcialmente).
VisibleItems | Una matriz de marcadores con un número máximo de elementos igual a la propiedad VisibleCount.

Los usuarios pueden buscar el control DBCombo escribiendo un valor en el cuadro de texto del control. Una vez escrito, dicho valor se busca en la lista y el elemento de la lista seleccionado se establece a dicho elemento. Si no se encuentra el elemento, la propiedad BoundText se establece a nulo.

Nota Si los límites del control no son lo bastante grandes como para presentar al menos una fila de la lista desplegable, la lista no se podrá presentar en tiempo de ejecución.


DBList (Control)

El control DBList es un cuadro de lista enlazado a datos que se llena automáticamente a partir de un campo de un control Data asociado y que, opcionalmente, actualiza un campo en una tabla relacionada de otro control Data.

Sintaxis

DBList

Comentarios

El control DBList es diferente del control ListBox estándar. Mientras el control ListBox se llena mediante el método AddItem, el control DBList se llena automáticamente con datos de un campo del objeto Recordset de un control Data al que está asociado. El control ListBox estándar debe llenarse manualmente utilizando el método AddItem. Además, el control DBList tiene la posibilidad de actualizar un campo dentro de un objeto Recordset relacionado que puede residir en otro control Data.

El control DBList también acepta un modo de búsqueda automática que puede encontrar rápidamente los elementos de la lista sin necesidad de escribir código adicional.

A continuación se muestra la lista de las propiedades que se utilizan para llenar y administrar la lista, y enlazar los datos seleccionados a un control Data.

Propiedad | Especifica
DataSource | El nombre del control Data que se actualiza cuando se hace una selección.
DataField | El nombre del campo que se actualiza en el Recordset especificado por la propiedad DataSource.
RowSource | El nombre del control Data que se utiliza como origen de los elementos de la parte de lista del control.
ListField | El nombre de un campo del Recordset especificado por RowSource que se utiliza para llenar la lista. DBList no acepta campos de tipo LongBinary en la propiedad ListField.
BoundColumn | El nombre de un campo del Recordset especificado por RowSource que se devuelve a DataField cuando se realiza una selección. DBList no acepta campos de tipo LongBinary en la propiedad BoundColumn.
BoundText | El valor de texto del campo BoundColumn. Cuando se realiza una selección, se devuelve este valor para actualizar el objeto Recordset especificado por las propiedades DataSource y DataField.
Text | El valor de texto del elemento seleccionado en la lista.
MatchEntry | El método de búsqueda en la lista cuando el usuario escribe caracteres en tiempo de ejecución.
SelectedItem | El marcador del elemento seleccionado del Recordset especificado por la propiedad RowSource.
VisibleCount | El número de elementos visibles de la lista (total o parcialmente).
VisibleItems | Una matriz de marcadores con un número máximo de elementos igual a la propiedad VisibleCount.

El control DBList resaltará automáticamente un elemento de la lista si la propiedad BoundText es igual al valor del campo especificado por las propiedades DataSource y DataField, como cuando se utiliza un control Data para modificar el registro actual.


BoundColumn (Propiedad)

Devuelve o establece el nombre del campo de origen de un objeto Recordset que se utiliza para suministrar un valor de datos a otro Recordset.

Sintaxis

objeto.BoundColumn [= valor]

La sintaxis de la propiedad BoundColumn consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.
valor | Una expresión de cadena que especifica el nombre de un campo del Recordset creado por el control Data especificado por la propiedad RowSource.

Comentarios

Generalmente, al trabajar con los controles DataList y DataCombo se utilizan dos controles Data: uno sirve para llenar la lista según designan las propiedades ListField y RowSource y el otro para actualizar un campo de una base de datos especificada por las propiedades DataSource y DataField.

La propiedad ListField designa el campo empleado para rellenar la lista. El segundo control Data, designado por la propiedad DataSource, administra un Recordset que contiene un campo que se va a actualizar. Cuando el usuario elige un elemento de la lista, el campo especificado por la propiedad BoundColumn se pasa al campo del segundo control Data, designado por las propiedades DataSource y DataField. De este modo, puede designar un campo para rellenar la lista y otro campo (del mismo Recordset) para pasar como datos al Recordset designado por las propiedades DataSource y DataField cuando se selecciona un elemento.

Si el campo especificado por la propiedad BoundColumn no se encuentra en el Recordset, se producirá un error interceptable.

Tipo de dato

String


ListField (Propiedad)

Devuelve o establece el nombre del campo del objeto Recordset, especificado por la propiedad RowSource, empleado para rellenar la parte de lista del control DataCombo o DataList.

Sintaxis

objeto.ListField [= valor]

La sintaxis de la propiedad ListField consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.
valor | Una expresión de cadena que especifica el nombre de un campo del Recordset especificado por la propiedad RowSource.

Comentarios

La propiedad ListField permite seleccionar qué campo del Recordset se utiliza para rellenar la parte de lista del control. Esta propiedad se usa junto con la propiedad RowSource que especifica qué control Data se emplea para crear el Recordset utilizado para rellenar la lista.

Generalmente se utilizan dos objetos Recordset con controles de lista vinculados a datos. Un Recordset contiene una lista de sólo lectura de las selecciones válidas, mientras que el otro Recordset se actualiza con selecciones de la lista. Por ejemplo, el control DataList podría generarse a partir de una consulta que retornara una lista de números de pieza válidos y sus descripciones. La propiedad ListField señalaría al campo de descripción del Recordset, de modo que el usuario no vería los números de pieza reales. La propiedad BoundColumn señalaría al campo de número de pieza, ya que éste es el que debe actualizarse en el Recordset.

Si el campo especificado por la propiedad ListField no se encuentra en el Recordset, se producirá un error interceptable.

Tipo de dato

String


MatchedWithList (Propiedad)

Devuelve True si el contenido actual de la propiedad BoundText coincide con uno de los registros de la parte de lista del control.

Sintaxis

objeto.MatchedWithList

El marcador de posición objeto representa una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.

Valores devueltos

La propiedad MatchedWithList devuelve estos valores:

Valor | Descripción
True | El contenido de la propiedad BoundText coincide con uno de los registros de la lista.
False | El contenido de la propiedad BoundText no coincide con ninguno de los registros de la lista.

Comentarios

Cuando introduce un valor en la parte de texto del control DataCombo, la propiedad MatchedWithList se establece como True si el valor introducido es uno de los elementos que aparecen en la lista. Si mueve el control Data especificado en la propiedad DataSource del control DataCombo o DataList, también establece la propiedad MatchedWithList a True si los valores de BoundText coinciden con uno de los registros de la lista. En este caso, se selecciona el registro.

Tipo de dato

Boolean


MatchEntry (Propiedad)

Devuelve o establece un valor que indica cómo realiza el control DataCombo o DataList las búsquedas basándose en los datos introducidos por el usuario.

Sintaxis

objeto.MatchEntry [= valor ]

La sintaxis de la propiedad MatchEntry consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.
valor | Una constante o un valor que define el comportamiento de un control cuando tiene el enfoque y el usuario introduce uno o más caracteres, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Valor | Valor | Descripción
dblBasicMatching | 0 | Coincidencia básica. (Predeterminado) El control busca la siguiente aparición del carácter introducido usando la primera letra de las entradas de la lista. Si escribe varias veces la misma letra se recorren todas las entradas de la lista que comiencen por dicha letra.
dblExtendedMatching | 1 | Coincidencia ampliada. El control busca una entrada que coincida con todos los caracteres introducidos. La búsqueda se realiza a medida que se escriben los caracteres, perfeccionando posteriormente la búsqueda.

Comentarios

Cuando la propiedad MatchEntry se establece con dblExtendedMatching y el usuario introduce un carácter de retroceso o espera unos segundos, la cadena de búsqueda se restablece.

Tipo de dato

Integer


RowSource (Propiedad)

Establece un valor que especifica el control Data a partir del cual se rellena la lista de los controles DataList y DataCombo. No está disponible en tiempo de ejecución.

Sintaxis

objeto.RowSource [= valor]

La sintaxis de la propiedad RowSource consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.
valor | Una expresión de cadena que especifica el nombre de un control Data.

Comentarios

Para rellenar la lista de un control DataCombo o DataList, debe especificar un control Data en la propiedad RowSource en tiempo de diseño utilizando la ventana Propiedades.

Para completar la conexión con un campo del objeto Recordset administrado por el control Data, debe proporcionar también el nombre de un objeto Field en la propiedad ListField.

Tipo de dato

String


SelectedItem (Propiedad)

Devuelve un valor que contiene un marcador para el registro seleccionado en un control DataCombo o DataList.

Sintaxis

objeto.SelectedItem

El marcador de posición objeto representa una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.

Comentarios

Cuando selecciona un elemento de la parte de lista del control, la propiedad SelectedItem contiene un marcador que puede usar para volver a colocar el registro seleccionado en el Recordset del control Data como especifica la propiedad RowSource.

Tipo de dato

Variant


VisibleCount (Propiedad)

Devuelve un valor que indica el número de elementos visibles en la parte de lista de los controles DataCombo o DataList.

Sintaxis

objeto.VisibleCount

El marcador de posición objeto representa una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.

Comentarios

La propiedad VisibleCount devuelve un entero que va de 0 al número de elementos visibles del control. Un elemento se considera visible aunque únicamente sea visible una parte del texto, como cuando el valor de la propiedad IntegralHeight es False.

Nota VisibleCount puede ser 0 antes de que se muestre por primera vez la parte de lista del control DataCombo.

Tipo de dato

Integer


VisibleItems (Propiedad)

Devuelve una matriz de marcadores, uno para cada elemento visible de la lista del control DataCombo o DataList.

Sintaxis

objeto.VisibleItems (índice)

La sintaxis de la propiedad VisibleItems consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que se evalúa como un objeto de la lista Se aplica a.
índice | Una expresión de tipo Integer que especifica el elemento de la matriz. Este valor puede variar desde 0 a VisibleCount - 1.

Comentarios

Estos marcadores pueden emplearse para obtener registros individuales del conjunto de registros que se emplea para rellenar la lista.

Tipo de dato

Variant


Constantes de los controles DataList y DBCombo

Constantes de apariencia

Constante | Valor | Descripción
dblFlat | 0 | Apariencia plana del control DataList o DBCombo
dbl3D | 1 | Apariencia tridimensional del control DataList o DBCombo

Constantes de área (sólo DBCombo)

Constante | Valor | Descripción
dbcAreaButton | 0 | Devuelve la ubicación del botón en el control DBCombo cuando se produce un evento Click o DblClick en él
dbcAreaEdit | 1 | Devuelve la ubicación del cuadro de texto en el control DBCombo cuando se produce un evento Click o DblClick en él
dbcAreaList | 2 | Devuelve la ubicación del cuadro de lista en el control DBCombo cuando se produce un evento Click o DblClick en él

Constantes de entradas coincidentes

Constante | Valor | Descripción
dblBasicMatching | 0 | Coincidencia básica
dblExtendedMatching | 1 | Coincidencia ampliada

Constantes de puntero del mouse

Constante | Valor | Descripción
dblDefault | 0 | (Predeterminado) Forma determinada por el objeto
dblArrow | 1 | Flecha
dblCross | 2 | Cruz (puntero en forma de cruz)
dblIBeam | 3 | Forma de I
dblIcon | 4 | Icono (pequeño cuadro dentro de otro cuadro)
dblSize | 5 | Tamaño (flechas de cuatro puntas que señalan al norte, sur, este y oeste)
dblSizeNESW | 6 | Tamaño NE SO (flecha doble que señala al noreste y al sudoeste)
dblSizeNS | 7 | Tamaño N S (flecha doble que señala al norte y al sur)
dblSizeNWSE | 8 | Tamaño NO SE (flecha doble que señala al noroeste y al sudeste)
dblSizeEW | 9 | Tamaño E O (flecha doble que señala al este y al oeste)
dblUpArrow | 10 | Flecha hacia arriba
dblHourglass | 11 | Reloj de arena (espera)
dblNoDrop | 12 | No colocar
dblArrowHourglass | 13 | Flecha y reloj de arena
dblArrowQuestion | 14 | Flecha y signo de interrogación
dblSizeAll | 15 | Tamaño de todo
dblCustom | 99 | Icono personalizado especificado por la propiedad MouseIcon

Constantes de estilo

Constante | Valor | Descripción
dbcDropdownCombo | 0 | Cuadro combinado desplegable
dbcSimpleCombo | 1 | Cuadro combinado simple
dbcDropdownList | 2 | Lista desplegable

Constantes de arrastre OLE

Constante | Valor | Descripción
dblOLEDragManual | 0 | Arrastre manual
dblOLEDragAutomatic | 1 | Automático

Constantes del efecto de colocación OLE

Constante | Valor | Descripción
dblOLEDropEffectNone | 0 | El destino de colocación no acepta los datos
dblOLEDropEffectCopy | 1 | El resultado de la colocación es una copia, el origen del arrastre no modifica los datos originales.
dblOLEDropEffectMove | 2 | El origen del arrastre debe eliminar los datos
dblOLEDropEffectScroll | -2147483648 | Se va a producir, o se está produciendo, un desplazamiento en el destino; este valor se utiliza de forma conjunta con los demás valores.

Constantes de colocación OLE

Constante | Valor | Descripción
dblOLEDropNone | 0 | No se permite colocar.
dblOLEDropManual | 1 | Manual.

Constantes de arrastre

Constante | Valor | Descripción
dblEnter | 0 | El objeto OLE se está arrastrando dentro del intervalo de un destino
dblLeave | 1 | El objeto OLE se está arrastrando fuera del intervalo de un destino
dblOver | 2 | El objeto OLE se ha movido de una posición a otra dentro del destino

Constantes del Portapapeles

Constante | Valor | Descripción
dblCFText | 1 | Texto
dblCFBitmap | 2 | Mapa de bits (archivo .bmp)
dblCFMetafile | 3 | Metarchivo (archivo .wmf)
dblCFDIB | 8 | Mapa de bits independiente del dispositivo (archivo .DIB)
dblCFPalette | 9 | Paleta de colores
dblCFEMetafile | 14 | Metarchivo extendido (archivos .EMF)
dblCFFiles | 15 | Lista de archivos
dblCFRTF | -16639 | Formato de texto enriquecido (archivo .rtf)

Constantes de Error

Constante | Valor | Descripción
dblDataNotSetForFormat | 676 | Los datos de la petición no fueron suministrados a DataObject durante el evento OLESetData.
dblDataObjectLocked | 672 | La lista de formatos de DataObject no puede limpiarse o expandirse fuera del evento OLEStartDrag.
dblExpectedAnArgument | 673 | Se requiere al menos un argumento.
dblFormatNotByteArray | 675 | Los formatos de arrastrar y colocar objeto OLE no intrínsecos utilizados con SetData requieren datos de matriz Byte. GetData puede devolver más bytes que los dados a SetData.
dblGetNotSupported | 394 | La propiedad es de sólo escritura.
dblInvalidObjectUse | 425 | El objeto utilizado no es válido.
dblInvalidProcedureCall | 5 | Llamada de procedimiento no válida.
dblInvalidPropertyValue | 380 | El valor de la propiedad no es válido.
dblOutOfMemory | 7 | Memoria insuficiente.
dblRecursiveOleDrag | 674 | Llamada recursiva ilegal de arrastrar y colocar objeto OLE.
dblSetNotPermitted | 387 | Imposible establecer el valor de la propiedad en este control.
dblWrongClipboardFormat | 461 | El formato especificado no es del mismo tipo o de fecha.


Click (Evento, control DBCombo)

Se produce cuando el usuario presiona y después suelta un botón del mouse (ratón) sobre el control DBCombo. Este evento también se produce cuando se presionan las teclas de flecha hacia arriba o hacia abajo del teclado para seleccionar un elemento.

Sintaxis

Private Sub objeto_Click( [índice As Integer ,] área As Integer )

La sintaxis del evento Click consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
índice | Un entero que identifica de forma única a un control si se encuentra en una matriz de controles.
área | Una expresión de entero que especifica dónde se hizo clic en el control, como se describe a continuación.

El parámetro área puede contener los siguientes valores:

Constante | Valor | Descripción
dbcAreaButton | 0 | El usuario hizo clic en el botón del control DBCombo.
dbcAreaEdit | 1 | El usuario hizo clic en la parte de cuadro de texto del control DBCombo.
dbcAreaList | 2 | El usuario hizo clic en la parte de lista desplegable del control DBCombo.

Comentarios

El control DBCombo no tiene un evento DropDown como el control ComboBox estándar para indicar que el usuario despliega la parte de lista del control DBCombo. En su lugar, el usuario puede usar el parámetro área del evento Click para indicar en qué área del control DBCombo ha hecho clic el usuario.

Normalmente, puede asociar un procedimiento de evento Click a un control para ejecutar comandos y acciones similares.

Al hacer clic en un control, además del evento Click se generan los eventos MouseDown y MouseUp. Cuando escriba procedimientos de evento para estos eventos relacionados, asegúrese de que sus acciones no entren en conflicto. Si el orden de los eventos tiene importancia dentro de la aplicación, compruebe la secuencia de eventos dentro del control.

Nota Para distinguir entre los botones primario, secundario y central del mouse, utilice los eventos MouseDown y MouseUp.


DblClick (Evento, control DBCombo)

Se produce cuando el usuario hace doble clic con el botón del mouse (ratón) en el control DBCombo.

Sintaxis

Private Sub objeto_DblClick ( [índice As Integer,] área As Integer)

La sintaxis del evento DblClick consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
índice | Un entero que identifica de forma única a un control si se encuentra en una matriz de controles.
área | Una expresión de entero que especifica dónde se hizo doble clic en el control, como se describe a continuación.

El parámetro área puede contener los siguientes valores:

Constante | Valor | Descripción
dbcAreaButton | 0 | El usuario hizo doble clic en el botón del control DBCombo.
dbcAreaEdit | 1 | El usuario hizo doble clic en la parte de cuadro de texto del control DBCombo.
dbcAreaList | 2 | El usuario hizo doble clic en la parte de lista del control DBCombo. (Sólo se produce cuando la propiedad Style es 1.)

Comentarios

Puede usar el procedimiento de evento DblClick para alguna acción implícita o para llevar a cabo varios pasos en una única acción.

Si DblClick no se produce dentro del límite de tiempo en que el sistema admite el doble clic, el objeto reconoce otro evento Click. El límite de tiempo para el doble clic puede variar porque el usuario puede establecer la velocidad de doble clic en el Panel de control.

Nota Para distinguir entre los botones primario, secundario y central del mouse, utilice los eventos MouseDown y MouseUp.


AboutBox (Método)

Presenta el cuadro Acerca de para el control.

Sintaxis

objeto.AboutBox

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.

Comentarios

Es igual que hacer clic en Acerca de en la ventana Propiedades.


BoundText (Propiedad)

Devuelve o establece el valor del campo especificado por la propiedad BoundColumn.

Sintaxis

objeto.BoundText [= valor]

La sintaxis de la propiedad BoundText consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una expresión de cadena que especifica un valor para el dato.

Comentarios

Después de que un usuario realice una selección mediante un control DataList o DataCombo, la propiedad BoundText contiene el valor de campo de la propiedad BoundColumn. Cuando se selecciona un elemento de la lista, éste queda disponible para el control Data especificado por la propiedad DataSource. La selección también aparece en la parte de cuadro de texto del control DataCombo, donde se puede modificar. Si el usuario escribe un valor en dicha parte de cuadro de texto, la parte de la lista intenta situarse en un elemento coincidente. Si se encuentra una coincidencia, se establece el valor de la propiedad BoundText basándose en el valor de campo especificado por la propiedad BoundColumn. Si no se encuentra ninguna coincidencia, la propiedad BoundText se establece a Null.

Puede usar el valor de la propiedad BoundText para crear una consulta que se pueda usar para buscar determinados registros:

Dim strQ As String
StrQ = "Select * From Products Where SupplierID = " & DataList1.BoundText
' Use la nueva consulta con un control de datos ADO para devolver un
' nuevo conjunto de registros.
Adodc1.RecordSource = strQ

Al situar el control Data, especificado por la propiedad DataSource, en un nuevo conjunto de registros se establece la propiedad BoundText al valor especificado por DataField. Los controles DataList o DataCombo buscan entonces en los registros de la lista para comprobar si el valor de BoundText coincide con el valor del campo de la propiedad BoundColumn. Si se encuentra una coincidencia, el registro se resalta en la lista o se sitúa en la parte de cuadro de texto del control DataBCombo.

Tipo de datos

String


Locked (Propiedad, controles DataCombo, DataList)

Devuelve o establece un valor que indica si es posible modificar cualesquiera datos del objeto.

Sintaxis

objeto.Locked [= booleano]

La sintaxis de la propiedad Locked consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
booleano | Opcional. Una expresión booleana que indica si un dato puede cambiar, como se describe en Valores.

Valores

Los valores admitidos para booleano son:

Valor | Descripción
False | (Predeterminado) Los datos se pueden cambiar.
True | Los datos no se pueden cambiar.


RowMember (Propiedad)

Devuelve o establece el miembro de datos utilizado para mostrar el texto de la lista.

Sintaxis

objeto.RowMember [=cadena]

La sintaxis de la propiedad RowMember consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
cadena | Opcional. El nombre de un miembro de datos.

Comentarios

La propiedad RowMember es equivalente a la propiedad DataMember y se utiliza para calificar completamente el conjunto de datos con que se enlaza. Cuando un origen de datos ofrece más de un miembro de datos, debe especificar cuál se debe usar antes de establecer la propiedad DataField.


Style (Propiedad, control DataCombo)

Devuelve o establece un valor que especifica el comportamiento y la apariencia del control.

Sintaxis

objeto.Style [= integer]

La sintaxis de la propiedad Style consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
integer | Opcional. Una expresión numérica que determina el estilo del control, como se muestra en Valores.

Valores

Los valores admitidos para integer son:

Constante | Valor | Descripción
dbcDropdownCombo | 0 | (Predeterminado) Cuadro combinado desplegable. Incluye una lista desplegable y un cuadro de texto. El usuario puede seleccionar en la lista o escribir en el cuadro de texto.
dbcSimpleCombo | 1 | Cuadro combinado simple. Incluye un cuadro de texto y una lista no desplegable. El usuario puede seleccionar en la lista o escribir en el cuadro de texto. Aumente la propiedad Height para mostrar más contenido de la lista.
dbcDropdownList | 2 | Cuadro combinado con lista. Este estilo sólo permite seleccionar en la lista desplegable.


Ejemplo de las propiedades VisibleCount y VisibleItems

El ejemplo de código siguiente utiliza las propiedades VisibleCount y VisibleItems para mostrar los campos en todos los registros visibles de un control DataList:

Private Sub Command1_Click()
Dim I As Integer, fld As Field, msg As Variant

For I = 0 To DataList1.VisibleCount - 1
    Data1.Recordset.Bookmark = DataList1.VisibleItems(I)
    msg = ""
    For Each fld In Data1.Recordset.Fields
        msg = msg & fld.Value & "-"
    Next
    MsgBox msg
Next I

End Sub